'''OpenGL extension EXT.tessellation_shader

This module customises the behaviour of the 
OpenGL.raw.GLES2.EXT.tessellation_shader to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/tessellation_shader.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GLES2 import _types, _glgets
from OpenGL.raw.GLES2.EXT.tessellation_shader import *
from OpenGL.raw.GLES2.EXT.tessellation_shader import _EXTENSION_NAME

def glInitTessellationShaderEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION